function love.load()
	--Yellow-ish background
	love.graphics.setBackgroundColor(245,200,100) 
	--Hamster table
	pic = {}
	pic.ham = love.graphics.newImage("hamster.png")
	pic.x, pic.y = 300, 640
	pic.width, pic.height = 128, 128
	pic.speed = 400
	--Star table
	star = {}
	star.obj = love.graphics.newImage("star.png")
	star.x, star.y = -64, -64
	star.move_x, star.move_y = 1, 1
end

function love.update(dt)
	
	--How hamster moves
	rotate = dt
	if love.keyboard.isDown("right") then
	pic.x = pic.x + (pic.speed*dt)
	end
	
	if love.keyboard.isDown("left") then
	pic.x = pic.x - (pic.speed*dt)
	end
	
	if love.keyboard.isDown("down") then
	pic.y = pic.y + (pic.speed*dt)
	end
	
	if love.keyboard.isDown("up") then
	pic.y = pic.y - (pic.speed*dt)
	end
	
	--Screen boundaries
	if pic.x < 0 then pic.x = 0 end
	if pic.y < 0 then pic.y = 0 end
	if pic.x + pic.width  > 1280  then pic.x = 1280 - pic.width end
	if pic.y + pic.height >  600  then pic.y = 600 - pic.height end
	
	--Falling down "script" (maybe?)
	love.graphics.draw(star.obj, star.move_x, star.move_y*(-9.8), math.rad(1*dt))
end

function love.draw()
	--Hamster.png is loaded here
	love.graphics.setColor(255,255,255,255)
	love.graphics.draw(pic.ham, pic.x, pic.y)
	--Same goes with the star (Tried to make 6 of them, but they just stacked up)
	for i = 1, 6 do
		love.graphics.setColor(255,255,0,255)
		love.graphics.draw(star.obj, star.x, star.y)
	end
end

function love.mousepressed(x,y,button)
	--Print the star when LMB is pressed
	if button == "l" then
		star.x = x -8 
		star.y = y -8
	end
end